Skip to content
GAMPEONCreate
New project

Your GAMPEONS purchases

GET
/v1/wallet/orders
curl --request GET \
--url https://api.gampeon.com/v1/wallet/orders \
--header 'Authorization: Bearer <token>'

Not available with access tokens.

Orders

Media typeapplication/json
object
orders
required
Array<object>
object
id
required
string
packageId
required
string
coins
required

Amount in GAMPEONS

integer
priceCents
required

Euro cents

integer
currency
required
string
status
required
string
Allowed values: pending expired paid refunded charged_back
provider
required

sandbox: simulated payment with POST /v1/wallet/orders/:id/sandbox-pay. xsolla: Xsolla test payment through POST /v1/wallet/orders/:id/checkout.

string
Allowed values: sandbox xsolla
createdAt
required

Unix time in milliseconds

integer format: int64
expiresAt
required

Unix time in milliseconds

integer format: int64
paidAt
required
One of:

Unix time in milliseconds

integer format: int64
closedAt
required
One of:

Unix time in milliseconds

integer format: int64
withdrawableUntil
required
One of:

Set while the purchase can still be withdrawn

integer format: int64

Example

{
"orders": [
{
"status": "pending",
"provider": "sandbox"
}
]
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback